> ## Documentation Index
> Fetch the complete documentation index at: https://docs.airys.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar todos os agenteBots

> Listar todos os agent bots disponíveis



## OpenAPI

````yaml /pt-br/swagger/tag_groups/platform_swagger.json get /platform/api/v1/agent_bots
openapi: 3.1.0
info:
  title: Chatwoot
  description: Esta é a documentação da API para o servidor Chatwoot.
  version: 1.1.0
  termsOfService: https://www.chatwoot.com/terms-of-service/
  contact:
    email: hello@chatwoot.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://airys.chat/
security: []
tags:
  - name: Contas
    description: APIs de gerenciamento de contas
  - name: Usuários da Conta
    description: APIs de gerenciamento de usuários de contas
  - name: AgentBots
    description: Integrações de bots
  - name: Usuários
    description: APIs de gerenciamento de usuários
paths:
  /platform/api/v1/agent_bots:
    get:
      tags:
        - AgentBots
      summary: Listar todos os agenteBots
      description: Listar todos os agent bots disponíveis
      operationId: list-all-agent-bots
      responses:
        '200':
          description: Sucesso
          content:
            application/json:
              schema:
                type: array
                description: Matriz de agent bots
                items:
                  $ref: '#/components/schemas/agent_bot'
        '401':
          description: Não autorizado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - platformAppApiKey: []
components:
  schemas:
    agent_bot:
      type: object
      properties:
        id:
          type: number
          description: ID do agent bot
        name:
          type: string
          description: O nome do agent bot
        description:
          type: string
          description: A descrição sobre o agent bot
        thumbnail:
          type: string
          description: A miniatura do agent bot
        outgoing_url:
          type: string
          description: O URL do webhook para o bot
        bot_type:
          type: string
          description: O tipo do bot
        bot_config:
          type: object
          description: A configuração do bot
        account_id:
          type: number
          description: ID da conta, se for um bot específico da conta
        access_token:
          type: string
          description: O token de acesso para o bot
        system_bot:
          type: boolean
          description: Se o bot é um bot do sistema
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    platformAppApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        Este token pode ser obtido pelo administrador do sistema após a criação
        de um platformApp. Este token deve ser usado para provisionar bot de
        agentes, contas, usuários e suas funções.

````